ENTRY(reset)

SECTIONS {
    . = 0x0;

    .kernelstuff :{
        *(.kernelstuff)
    }
    .kernelstuff.t ALIGN(0x10) :{
        *(.kernelstuff.t)
    }
    .kernelstuff.d ALIGN(0x10) :{
        *(.kernelstuff.d)
    }

    __end_spm = .;

    . = 0x10000000;

    .text :{
        *(.text)
    }

    .rodata ALIGN (0x10) : {
        *(.rodata)
    }

    .data ALIGN (0x10) : {
        *(.data)
    }

    .bss : {
        __bss_start = .;
        *(COMMON)
        *(.bss)
        *(.sbss)
        __bss_end = .;
    }
}

